Images
An EpiLayer Image can be used to create an Instance. Currently, there are only 2 types of images: public image (cloud images like Debian and Ubuntu) and snapshots
- The
public imagesare public cloud images like Ubuntu and Debian. - The
snapshotsare snapshots of instances.
All images are compatible with all instance types.
Image Schema
idString - A unique number that can be used to identify and reference a specific image.nameString - The display name that has been given to an image. This is what is shown in the control panel and is generally a descriptive title for the image in question.typeString - Describes the kind of image. It may be one ofbase-os,cloud-image,preconfigured, orsnapshot.familyString - Describes the operating system family.slugString - The image slug.versionsArray - The list of versions if this is a cloud-image otherwise empty.regionsArray - List of region in which this image can be used in, see Regions.created_atString - A time value given in ISO8601 combined date and time format that represents when the image was created.updated_atString - A time value given in ISO8601 combined date and time format that represents when the image was last updated.
List Images
To list all the images, send a GET request to /compute/v1/images.
GET /compute/v1/images (HTTP 200 - OK)
Query parameters
per_pageInteger Optional - A positive integer lower than or equal to 100 indicating the number of items to return per page (default: 50).pageInteger Optional - A positive integer to choose the page to return.
Response body
The response will be a JSON object with pagination details and a key called images.
This will be set to an array of image objects, each of which will contain the standard image attributes, see Image Schema:
{
"images": [
{
"created_at": "2025-12-18T10:16:30+00:00",
"family": null,
"id": "debian-13-generic-amd64-20251117-2299",
"name": "debian-13-generic-amd64-20251117-2299",
"os_type": "linux",
"regions": [],
"slug": null,
"type": "cloud-image",
"updated_at": "2025-12-18T10:16:30+00:00",
"versions": null
},
{
"created_at": "2025-12-18T10:15:12+00:00",
"family": null,
"id": "noble-server-cloudimg-amd64-20251213",
"name": "noble-server-cloudimg-amd64-20251213",
"os_type": "linux",
"regions": [],
"slug": null,
"type": "cloud-image",
"updated_at": "2025-12-18T10:15:12+00:00",
"versions": null
}
],
"page": 1,
"per_page": 50,
"total_count": 2
}
Examples (cURL)
# Get all images
curl -H "Authorization: Bearer $TOKEN" \
"https://public-api.krs-1.epilayer.eu/compute/v1/images"